Subject: Re: bug#44318: 28.0.50; Problem with ispell/flyspell and ""enchant"" backend

From: Eli Zaretskii <[email-masked]>
Date: Tue, 03 Nov 2020 21:39:40 +0200

> From: Reuben Thomas <[email-masked]>
> Date: Tue, 3 Nov 2020 18:53:54 +0000
> Cc: [email-masked], dinkonin <[email-masked]>
> 
>  We are miscommunicating.  My point is that if Emacs will depend on
>  Enchant and won't be able to use the existing spellers without Enchant
>  being in-between, then we will be in a dire situation if Enchant stops
>  being developed and bit-rots.  By contrast, with the current code, we
>  can always tell users to use aspell/hunspell directly.
> 
> What I was trying to say is that it would be very easy to re-add support for the other spell-checkers, since
> they and Enchant operate in the same way, and they would not have changed in the mean time.

If we switch to supporting only Enchant, the compatibility will soon
disappear.  And re-adding back deleted code is just waste of
resources.  So I still think this is not a good idea, sorry.

> in the end it should be less effort to maintain Enchant than to
> maintain multiple back-ends in ispell.el.

That's an advantage, indeed, but as I said before, the downsides
overwhelm it.